import * as fc from 'fast-check'
import calculateHash from './calculateHash'

it('should exist', () => {
  expect(calculateHash).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof calculateHash).toBe('function')
})

it('should accept a minimum of 1 argument', () => {
  expect(calculateHash).toHaveLength(1)
})

it('should return a string', () => {
  fc.assert(
    fc.property(fc.string(), s => {
      expect(typeof calculateHash(s)).toBe('string')
    })
  )
})
